=== debian/changelog ===
rock-master-19.06-simulation-lib-manager (0.20170922-1~stretch) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-simulation/lib_manager.git
  * branch: refs/heads/master
  * commit: d7f47fcdecec3cbdaef4538060aaf3903b8391c8
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Tue, 09 Jul 2019 00:17:50 +0200
